### Method

# Gtk Statusbarpush

deprecated: 4.10

#### Declaration [src]

    guint
    gtk_statusbar_push (
      GtkStatusbar* statusbar,
      guint context_id,
      const char* text
    )

#### Description [src]

Pushes a new message onto a statusbar’s stack.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`context_id`

  Type: `guint`

  The message’s context id, as returned by `gtk_statusbar_get_context_id()`

`text`

  Type: `const char*`

  The message to add to the statusbar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

A message id that can be used with `gtk_statusbar_remove()`.